version: '3'
services:
  mongo:
    image: "mongo"

  redis:
    image: "redis"

  tickets_api:
    container_name: "tickets_api"
    build:
      context: .
    ports:
      - 8080:8080
    environment:
      TICKET_API_CONFIG_FILE: "/tickets-api/ticket-api.ini"

  celery_worker:
    build:
      context: .
      dockerfile: CeleryDockerfile
    environment:
      TICKET_API_CONFIG_FILE: "/tickets-api/ticket-api.ini"
